# Uses of Class
org.apache.datasketches.frequencies.FrequentLongsSketch

Packages that use FrequentLongsSketch
Package
Description
org.apache.datasketches.frequencies
This package contains the implementations of the paper https://arxiv.org/abs/1705.07001.

## Uses of FrequentLongsSketch in org.apache.datasketches.frequencies

Methods in org.apache.datasketches.frequencies that return FrequentLongsSketch
Modifier and Type
Method
Description
`static FrequentLongsSketch`
FrequentLongsSketch.`getInstance(MemorySegment srcSeg)`
Returns a sketch instance of this class from the given srcSeg, which must be a MemorySegment representation of this sketch class.
`static FrequentLongsSketch`
FrequentLongsSketch.`getInstance(String string)`
Returns a sketch instance of this class from the given String, which must be a String representation of this sketch class.
`FrequentLongsSketch`
FrequentLongsSketch.`merge(FrequentLongsSketch other)`
This function merges the other sketch into this one.
Methods in org.apache.datasketches.frequencies with parameters of type FrequentLongsSketch
Modifier and Type
Method
Description
`FrequentLongsSketch`
FrequentLongsSketch.`merge(FrequentLongsSketch other)`
This function merges the other sketch into this one.